Ziett
Docs
Docs
  • API Reference
Docs
Docs
  • API Reference
Meet Ziett
Login
  1. Campaigns
  • API Docs - Ziett
  • API Reference
    • Overview
    • Messages
      • Send Transactional Message
      • List Organization Messages
      • Retrieve Message Details
    • Campaigns
      • List Organization Campaigns
        GET
      • Create Batch Campaign
        POST
      • List Campaign Messages
        GET
      • Retrieve Campaign Details
        GET
  1. Campaigns

Retrieve Campaign Details

GET
https://api.ziett.co/c/v1/campaigns/{campaign_id}
Last modified:2026-03-22 10:48:32
Fetch detailed information about a specific campaign, including its current status, total cost, and recipient count.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Path Params

Responses

🟢200OK
application/json
Successful Response
Bodyapplication/json

🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ziett.co/c/v1/campaigns/' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - Example 1
{
    "id": "string",
    "updated_at": "2019-08-24T14:15:22.123Z",
    "created_at": "2019-08-24T14:15:22.123Z",
    "name": "string",
    "status": "DRAFT",
    "organization_id": "string",
    "billing_account_id": "string",
    "trigger_source": "API_CLIENT",
    "file_metadata_id": "string",
    "channel_type": "SMS",
    "sms_remitter_id": "string",
    "sms_remitter": {
        "name": "Ziett"
    },
    "content": "string",
    "total_estimated_recipients": 0,
    "scheduled_at": "2019-08-24T14:15:22.123Z",
    "processed_at": "2019-08-24T14:15:22.123Z",
    "completed_at": "2019-08-24T14:15:22.123Z",
    "error_code": "SYSTEM_DISPATCH_ERROR",
    "status_note": "string",
    "data": {
        "reason_of_pause": "string"
    }
}
Modified at 2026-03-22 10:48:32
Previous
List Campaign Messages
Built with